unit Azure.CognitiveServices.ImageOcr.Types;

interface

uses
  System.Generics.Collections,
  System.SysUtils;

type

  TAcsImageOcrRequest = record
    Language: string;
    CacheImage: Boolean;
    Enhanced: Boolean;
    ImageData: TBytes;
    ImageType: string;
    ImageUrl: string;
  end;

  TAcsImageOcrCandidates = record
    Text: string;
    Confidence: Double;
  end;

  TAcsImageOcrResponse = record
    TrackingId: string;
    CacheId: string;
    Language: string;
    Text: string;
    Candidates: TArray<TAcsImageOcrCandidates>;
  end;

implementation

end.
